# FileReader Class Reference
[Various accompanying utilities]

Inheritance diagram for FileReader:
[legend]

List of all members.

## Public Member Functions

| __construct ($fileName)
| __destruct ()
| isEof ()
| markSupported ()
| mark ()
| reset ()
| close ()
| read ($length)

## Static Public Member Functions

static | create ($fileName)

## Private Attributes

| $fd = null

## Detailed Description

Definition at line 15 of file FileReader.class.php.

## Constructor & Destructor Documentation

FileReader::__construct | ( | $ | fileName | ) |

Returns:
  FileReader

Definition at line 30 of file FileReader.class.php.

FileReader::__destruct | ( |  | ) |

Definition at line 42 of file FileReader.class.php.

References close().

Here is the call graph for this function:

## Member Function Documentation

FileReader::close | ( |  | ) |

Returns:
  FileReader

Reimplemented from Reader.

Definition at line 87 of file FileReader.class.php.

Referenced by __destruct().

static FileReader::create | ( | $ | fileName | ) | `[static]`

Returns:
  FileReader

Definition at line 22 of file FileReader.class.php.

FileReader::isEof | ( |  | ) |

Reimplemented from Reader.

Definition at line 51 of file FileReader.class.php.

FileReader::mark | ( |  | ) |

Returns:
  FileReader

Reimplemented from Reader.

Definition at line 64 of file FileReader.class.php.

Referenced by reset().

FileReader::markSupported | ( |  | ) |

Reimplemented from Reader.

Definition at line 56 of file FileReader.class.php.

FileReader::read | ( | $ | length | ) |

Reimplemented from Reader.

Definition at line 95 of file FileReader.class.php.

FileReader::reset | ( |  | ) |

Returns:
  FileReader

Reimplemented from Reader.

Definition at line 74 of file FileReader.class.php.

References mark().

Here is the call graph for this function:

## Member Data Documentation

FileReader::$fd = null`[private]`

Definition at line 17 of file FileReader.class.php.

The documentation for this class was generated from the following file:

- main/Utils/IO/FileReader.class.php